#pragma once
#include "Entity.h"
#define CS_EXPCAPSULE_CREATENAME L"CS_expcapsule"
//¾­Ñé½ºÄÒ
class CS_ExpCapsule :
    public Entity
{
public:
    CS_ExpCapsule();
    void Step() override;
    void SetState(int stateID, int lr) override;
    bool Hurt(std::weak_ptr<Entity> src, int getDamage, float angle, bool bTakedown, int elemType, float shockForce, float heavy, int* outRealDamage) override;
    int ani_wait = 0;
    std::vector<int> buff;
};

std::shared_ptr<Entity> CreateCS_ExpCapsule();